# gsb2023

2023-01-06 

Environnement et playbooks ansible pour le projet GSB 2023

## Quickstart
prérequis : 
  * une machine Debian Bullseye
  * VirtualBox



## Les machines
  * s-adm
  * s-infra
  * r-int
  * r-ext
  * s-proxy


## Les playbooks


## Installation

On utilisera l'image de machine virtuelle suivante : 
  * **debian-bullseye-2023a.ova** (2023-01-06)
    * Debian Bullseye 11 - 2 cartes - 1 Go - stockage 20 Go


### Machine s-adm
  * créer la machine virtuelle **s-adm** en important l'image ova décrite plus haut
  * renommer la machine puis redémarrer
  * taper :
```shell
    mkdir -p tools/ansible ; cd tools/ansible
    git clone https://gitea.lyc-lecastel.fr/gadmin/gsb2023.git
    cd gsb2023/pre
    bash inst-depl
    cd /var/www/html/gsbstore
    bash getall
    cd /root/tools/ansible/gsb023/pre
    bash gsbboot
    cd .. ; bash pull-config
```
  - redémarrer
  
### Pour chaque machine

  - importer la machine à partir du fichier **.ova**
  - définir les cartes réseau en accord avec le plan d'adressage et le schéma
  - donner le nom adapté (avec sed -i …)
  - redémarrer
  - mettre à jour les paquets : apt update && apt upgrade
  - cloner le dépot : 
```shell
mkdir -p tools/ansible ; cd tools/ansible
git clone https://gitea.lyc-lecastel.fr/gadmin/gsb2023.git
cd gsb2023/pre
export DEPL=192.168.99.99
bash gsbboot
cd ../..
bash pull-config
```
  - **Remarque** : une machine doit avoir été redémarrée pour prendre en charge la nouvelle configuration


